Page MenuHomePhabricator

Drop database table "email_capture" from Wikimedia wikis
Closed, ResolvedPublic

Description

[[mw:Extension:EmailCapture]] has been uninstalled from Wikimedia wikis: bug 48480.

I believe it has an associated database table that can be dropped from Wikimedia wikis: https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FEmailCapture/9b5e93ea02f18537d653b1e435b056ef29ce36f4/sql%2FCreateEmailCaptureTable.sql.


Version: wmf-deployment
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=48480

Details

Reference
bz55676

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:31 AM
bzimport set Reference to bz55676.
bzimport added a subscriber: Unknown Object (MLST).
Krenair set Security to None.
Krenair added a subscriber: Krenair.
jcrespo moved this task from Triage to Backlog on the DBA board.Nov 16 2015, 4:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2015, 4:23 PM
Reedy added a subscriber: Reedy.Nov 16 2015, 4:52 PM

Seems likely to exist anywhere that AFT would've existed... Minimal rows on testwiki. 333052 rows on enwiki.

Looks to essentially be a lot (including contents) of emails sent by AFT. Will ask the researchers if they've any interest in this data, or it can just go etc

Marostegui moved this task from Backlog to In progress on the DBA board.

This table currently exists at:

S1 (enwiki - ie: db1053)
S3 (testwiki - ie: db1044)

As it has been said, it has not been written in a long time.

root@db1053:/srv/sqldata/enwiki# ls -lh email_capture.ibd
-rw-rw---- 1 mysql mysql 288M Oct  3  2013 email_capture.ibd
root@db1044:/srv/sqldata/testwiki# ls -lh email_capture.ibd
-rw-rw---- 1 mysql mysql 112K Nov 18  2015 email_capture.ibd

I will rename that table in those non pooled slaves and later on at codfw servers.

db1053.eqiad.wmnet
MariaDB PRODUCTION s1 localhost enwiki > rename table email_capture to TO_DROP_email_capture;
Query OK, 0 rows affected (0.23 sec)


db1044.eqiad.wmnet
MariaDB PRODUCTION s3 localhost testwiki > rename table email_capture to TO_DROP_email_capture;
Query OK, 0 rows affected (0.10 sec)

To revert this change: rename table TO_DROP_email_capture to email_capture;

Marostegui added a comment.EditedSep 19 2016, 7:20 AM

I have renamed the table in the following codfw hosts:

S1 - enwiki

db2034.codfw.wmnet
db2042.codfw.wmnet
db2048.codfw.wmnet
db2055.codfw.wmnet
db2062.codfw.wmnet
db2069.codfw.wmnet
db2070.codfw.wmnet
dbstore2001.codfw.wmnet
dbstore2002.codfw.wmnet
db2016.codfw.wmnet

To revert

for i in `cat s1.hosts  | grep codf| cut -f1 -d " "`; do echo $i; mysql -h$i enwiki -e "SET SESSION sql_log_bin=0;rename table TO_DROP_email_capture to email_capture ;" && sleep 5;done

Backup: dbstore1001:/srv/tmp/email_capture_table_T57676/s1/

S3 - testwiki

dbstore2001.codfw.wmnet
dbstore2002.codfw.wmnet
db2036.codfw.wmnet
db2043.codfw.wmnet
db2050.codfw.wmnet
db2057.codfw.wmnet
db2018.codfw.wmnet

To revert

for i in `cat s3.hosts  | grep codf| cut -f1 -d " "`; do echo $i; mysql -h$i testwiki -e "SET SESSION sql_log_bin=0;rename table TO_DROP_email_capture to email_capture;" && sleep 5;done

Backup: dbstore1001:/srv/tmp/email_capture_table_T57676/s3

This table has been renamed to TO_DROP_email_capture across eqiad in the following wikis.

S1: enwiki
S3: testwiki

Mentioned in SAL (#wikimedia-operations) [2016-10-06T07:40:04Z] <marostegui> Dropping tables in S1.enwiki - T57676

Table in S1 has been deleted.

Mentioned in SAL (#wikimedia-operations) [2016-10-06T08:02:44Z] <marostegui> Dropping tables in S3.testwiki - T57676

Table in S3 has been deleted.

I believe this ticket can be closed. Looks like email_capture isn't present in any other shard.

Marostegui closed this task as Resolved.Oct 10 2016, 2:22 PM